2006-09-27  Quentin Mathe <qmathe@club-internet.fr>
    
    * GNUmakefile: Updated to include etoile.make.

2006-05-21 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Update to r391895.
    Result: 55 classes, 137 methods, 651969 tests, 0 failed

2006-04-23 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Update to r391874.

2006-03-28 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Update-to-date (2.0-pre).
    Result: 50 classes, 133 methods, 651987 tests, 0 failed.

2006-03-01 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCRangeQuery.m:
    * Source/Search/TestRangeQuery.m:
    * Headers/Search/LCRangeQuery.h:
    new classes.

2006-02-28 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Index/LCIndexWriter.m:
    update-to-date (lucene 1.9-final).

2006-02-16 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Index/LCIndexWriter.m:
    * Source/Index/LCMultiReader.m:
    * Headers/Document/LCDateTools.h:
    * Source/Document/LCDateTools.m:
    * Source/Document/TestDateTools.m:
    * Source/Search/LCFieldCacheImpl.m:
    update-to-date.

2006-02-16 Quentin Mathe <qmathe@club-internet.fr>
    
    * README: Added myself to Authors list ;-)
    * TODO: Formatted a little bit better.

2006-02-08 Quentin Mathe <qmathe@club-internet.fr>
    
    Fixed Xcode project compilation.
    * Info.plist:
    * UnitKitInfo.plist:
    Added.
    * Source/Search/TestBooleanMinShouldMatch.m:
    * Source/Util/TestData+Additions.m:
    Modified bad include statements to fix compilation with Xcode.
    * LuceneKit.xcodeproj: Fixed compilation and updated to include recent new 
    source code files. Fixed and improved tests bundle (loads LuceneKit directly 
    from $BUILT_PRODUCTS_DIR, without deployment needed now).
    Xcode Test Result: 46 classes, 127 methods, 651919 tests, 0 failed
    
2006-02-06 Quentin Mathe <qmathe@club-internet.fr>
    
    * README: Updated to reflect Xcode project is now bundled.
    * INSTALL: Fixed contact mailing list.

2006-01-23 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Fix bugs for file system.
    * Source/Store/LCFSDirectory.m:
    Fix memory leak.
    * Result: 52 classes, 130 methods, 651932 tests, 0 failed
    * Source/Store/LCFSIndexInput.m:
    Add warning about using closed file handle.

2006-01-23 Quentin Mathe <qmathe@club-internet.fr>
    
    * GNUmakefile.preamble: Fixed to correctly link OgreKit when LuceneKit is
    compiled within a whole repository build.

2006-01-22 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Headers/Index/LCIndexModifier.h:
   * Source/Index/LCIndexModifier.h:
   make protected methods in Java public in Objective-C.
   improve memory management.
   * Source/Search/LCBooleanQuery.m:
   * Source/Search/LCFuzzyQuery.m:
   fix warning.

2006-01-17 Quentin Mathe <qmathe@club-internet.fr>
    
   Fixed compilation on Linux Ubuntu x86
   * Source/Search/LCTopDocCollector.m: Included float.h to restore
   compilation (error: FLT_MIN not declared)
   * Source/Document/LCNumberTools.m: Included limits.h to restore compilation
   (error: LLONG_MAX not declared)
   * Source/GNUmakefile.preamble: Updated to enable C99 support (LLONG_MAX is
   not a C99 extension that GCC supports by default).

2006-01-14 Yen-Ju Chen <yjchenx at gmail _dot_ com>
 
   * Source/Util/LCBitVector.m:
   * Headers/Util/LCBitVector.h:
   Use C type instead of objects to optimize the code.

2006-01-11 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Index/LCIndexReader.m:
   * Source/Search/LCPrefixQuery.m:
   * Source/Search/LCTopDocCollector.m:
   * Source/Search/LCTopFieldDocCollector.m:
   * Source/Search/LCIndexSearcher.m:
   * Source/Search/LCMultiTermQuery.m:
   Up-to-date.

2006-01-10 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Index/LCTerm.m:
   * Source/Search/LCFieldCache.m:
   Bug fixed.
   * Unit Test Result: 51 classes, 129 methods, 651980 tests, 0 failed

2006-01-09 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Index/LCDocumentWriter.m:
   * Headers/Index/LCDocumentWriter.h:
   Use C type instead of objects to optimize the code.
   * Source/Index/LCFieldsReader.m:
   * Soruce/Index/LCFieldsWriter.m:
   Improve memory management.
   * Source/Index/LCTerm.m:
   * Source/Index/LCTermBuffer.m:
   Improve memory management and one bug found.

2005-12-27 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Search/LCIndexSearcher.m:
   include float.h

2005-12-26 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   add autorelease pool to reduce memory usage.

2005-12-25 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Index/LCTermVectorsReader.m:
   initiate return value suggested by Dirk Theisen <d.theisen...>

2005-12-22 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Search/LCFieldCacheImpl.m:
   * Source/Search/LCBooleanScorer.m:
   fix missing 'return' suggested by Dirk Theisen <d.theisen...>

2005-12-16 Yen-Ju Chen <yjchenx at gmail _dot_ com>
   * Source/Search/LCBooleanScorer.m:
   * Source/Search/LCBooleanMinShouldMatch.m:
   Pass all tests: Result: 51 classes, 127 methods, 651972 tests, 0 failed
   * Source/Analysis/LCAnalyzer.m:
   * Source/Index/LCDocumentWriter.m:
   * Source/Search/LCSmiliarity.m:
   * Source/Search/LCHits.m:
   * Source/Search/LCTopDocs.m:
   * Source/Search/LCTopFieldDocs.m:
   * Source/Search/LCIndexSearcher.m:
   * Source/Index/LCMultiReader.m:
   * Source/Index/TestMultiReader.m:
   * Headers/Index/Index.h:
   Update to date.

2005-12-14 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/QueryParser/LCQueryParser.m:
   * Headers/QueryParser/LCQueryParser.h:
   Add new method.
   * Source/Search/LCBooleanQuery.m:
   * Source/Search/LCBooleanScorer.m:
   Support minimumNumberShouldMatch.
   * Pass all tests.
   Result: 46 classes, 114 methods, 651959 tests, 0 failed

2005-12-12 Quentin Mathe <qmathe@club-internet.fr>

   * Source/Search/LCFieldSortedHitQueue.m:
    Fixed compilation on Linux (Ubuntu Linux x86) broken by the previous commit,
    float.h is not included by default on most platforms.
    Result: 49 classes, 112 methods, 352367 tests, 12 failed
    (Failed tests are located in TestWildcard.m)
   * Headers/Util/LCSmallFloat.h:
   * Source/Util/LCSmallFloat.m:
   * Source/Util/TestSmallFloat.m:
   New class and test.
   * Source/Search/LCBooleanQuery.m:
   Warn when maxClauseCount < 1.

2005-12-11 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Search/LCFieldCacheImpl.m:
   * Source/Search/LCFieldCache.m:
   * Headers/Search/LCFieldCacheImpl.h:
   * Headers/Search/LCFieldCache.h:
   Implement parsers.
   * Source/Search/LCFieldSortedHitQueue.m:
   * Source/Search/TestSort.m:
   Bugs fixed.
   * Pass all test units on Cocoa:
   Result: 49 classes, 111 methods, 352364 tests, 0 failed

2005-12-10 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Pass all test units on Cocoa:
   Result: 49 classes, 109 methods, 352235 tests, 0 failed.
   * Source/Search/LCBooleanQuery.m:
   * Source/Search/LCFuzzyQuery.m:
   * Source/Search/LCTermQuery.m:
   * Source/Search/LCPrefixQuery.m:
   Utilize LCStringFromBoost().
   * Source/Index/LCFieldsReader.m:
   Support omitNorms.
   * Source/Index/TestDocHelper.m:
   * Source/Index/TestDocHelper.h:
   * Source/Index/TestDocumentWriter.m:
   * Source/Index/TestFieldInfos.m:
   * Source/Index/TestFieldsReader.m:
   * Source/Index/TestMultiReader.m:
   * Source/Index/TestSegmentReader.m:
   * Source/Index/TestSegmentReader.h:
   * Source/Index/TestSegmentMerger.m:
   Test omitNorms.
   (Unit test failed on TestSegmentMerger: FIXED).
   * Source/Search/TestWildcardQuery.m:
   * Source/Search/TestCheckHits.m:
   * Source/Search/TestCheckHits.h:
   * Source/Index/TestDocumentWriter.m:
   Add unit tests.
   

2005-12-09 Yen-Ju Chen <yjchenx at gmail _dot_ com>

   * Source/Index/LCSegmentMergeInfo.m:
   Load docMap and postings only when needed.
   * Source/Document/LCField.m:
   * Source/Index/LCDocumentWriter.m:
   * Source/Index/LCFieldInfo.m:
   * Source/Index/LCFieldInfos.m:
   * Source/Index/LCFilterIndexReader.m:
   * Source/Index/LCIndexReader.m:
   * Source/Index/LCMultiReader.m:
   * Source/Index/LCSegmentMerger.m:
   * Source/Index/LCSegmentReader.m:
   Support index without norms.
   (Test units are broken!!)

2005-12-08 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCQueryFilter.m:
    Add -hash: and -isEqual:

2005-11-09 Quentin Mathe <qmathe@club-internet.fr>

    Warning! Xcode compilation untested.
    * Source/GNUmakefile.preamble:
    * Source/GNUmakefile.postamble:
    Fixed compilation in order to link OgreKit correctly even when it is not 
    installed (now the whole repository compiles in one pass).

2005-10-21 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Index/LCFieldsReader.m:
    Update to date.

2005-10-12 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCPrefixQuery.m:
    Add new methods (not ported yet).

2005-10-08 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Analysis/TestAnalyzer.h:
    Fix headers.

2005-10-06 Quentin Mathe <qmathe@club-internet.fr>

    Warning! Xcode compilation untested.
    * Current test result:
    Result: 45 classes, 109 methods, 352233 tests, 8 failed
    * Source/*.m:
    * Source/Analysis/*.m:
    * Source/Document/*.m:
    * Source/Importer/*.m:
    * Source/Index/*.m:
    * Source/Java/*.m:
    * Source/QueryParser/*.m:
    * Source/QueryParser/*.h:
    * Source/Search/*.m:
    * Source/Store/*.m:
    * Source/Util/*.m:
    (Most of their related headers have been modified too)
    * Source/GNUmakefile:
    * Source/GNUmakefile.preamble:
    * Source/GNUmakefile.postamble:
    * Source/GNUmakefile.headers:
    * Source/GNUmakefile.headers_build:
    * Source/*/GNUmakefile:
    Modified to have compilation and deployment relying on a flat headers
    directory. It allows us to replace #include <LuceneKit/Whatever/MyHeader.h>
    by "MyHeader.h" in order to fix Xcode compilation without relying on a
    custom shell script a la GNUmakefile.headers_build.
    NOTE: We couldn't have used in any headers subdirectory a directive
    like #include "Whatever1/MyHeader.h" because when MyHeader would have
    been installed, it would have been reachable from another subdirectory only
    by #include "../MyHeader.h", finally it is impossible to predict which
    value '..' will take when headers are included by some other project.

2005-09-11  Quentin Mathe <qmathe@club-internet.fr>

    Warning! compilation broken with Xcode.
    * LuceneKit.xcodeproj:
    * English.lproj/InfoPlist.strings:
    Added Xcode project.

2005-09-10  Quentin Mathe <qmathe@club-internet.fr>

    * Source/Search/LCFuzzyQuery.m:
    * Source/Store/LCMMapDirectory.m:
    Fixed compilation with Cocoa.

2005-08-25 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    Move more tests out of classes.
    * Source/QueryParser/QueryHandler.m:
    Use LCWildcardQuery to handle all wildcard symbol
    according to the "Query Parser Syntax"
    (http://lucene.apache.org/java/docs/queryparsersyntax.html).

2005-08-24 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCWildcardQuery.m:
    * Source/Search/LCWildcardTermEnum.m:
    * Headers/Search/LCWildcardQuery.h:
    * Headers/Search/LCWildcardTermEnum.h:
    Add LCWildcardQuery.
    * Source/QueryParser/QueryHandler.m:
    Support LCWildcardQuery.
    * Source/Java/LCStringReader.m:
    * Source/Util/LCBitVector.m:
    Move tests out of classes.

2005-08-23 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCBooleanScorer.m:
    Fix bug due to typo.

2005-08-13 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Disable coordination for prefix query.

2005-08-10 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/QueryParser:
    Initial import of LCQueryParser.

2005-07-29 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Headers/LCIndexManager.h:
    * Headers/Importer/LCImporter.h:
    * Source/LCIndexManager.h:
    * Source/Importer/LCTextImporter.h:
    Improve interface a little.


2005-07-29 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCFuzzyTermEnum.m:
    A possible fix for memory leak.

2005-07-26 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/QueryParser/LCQueryParser.m:
    A very simple implementation.
    * Source/QueryParser/LCIndexModifier.m:
    New class.
    * Source//LCIndexManager.m:
    Implement most of the methods.

2005-07-24 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Headers/LCIndexManager.h:
    * Headers/Importer/LCImporter.h:
    * Headers/QueryParser/LCQueryParser.h:
    * Headers/QueryParser/QueryParser.h:
    * Source/QueryParser/LCQueryParser.m:
    * Source/QueryParser/GNUmakefile:
    Add new classes.

2005-07-22 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCBooleanScorer.m:
    Chase Apache Lucene.

2005-07-15 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCFuzzyTermEnum.m:
    * Source/Search/TestFuzzyQuery.m:
    Pass all tests.
    * Change interfaces to be more like GNUstep.
    * Current test result: 
    Result: 40 classes, 101 methods, 50181 tests, 0 failed

2005-07-14 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Util/LCBitVector.m:
    * Source/Util/LCPriorityQueue.m:
    Disable unit test.
    * Source/Search/LCPrefixQuery.m:
    * Headers/Search/LCPrefixQuery.h:
    New subclass of LCQuery.
    * Source/Search/TestPrefixQuery.m:
    Test for LCPrefixQuery.
    * Source/Search/LCBooleanQuery.m:
    Bug fixed.
    * Source/Search/LCFilteredTermEnum.m:
    * Source/Search/LCMultiTermQuery.m:
    * Source/Search/LCFuzzyQuery.m:
    * Source/Search/LCFuzzyTermEnum.m:
    * Source/Search/TestFuzzyQuery.m:
    New classes and tests.

2005-07-12 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Analysis/LCPerFieldAnalyzerWrapper.m:
    add -description.

2005-07-07 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCQuery.m: fix warning.

2005-07-06 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Search/LCQuery.m: update -combine:.
    * Source/Index/LCSegmentInfos.m: update version.

2005-07-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    Minor update.

2005-07-04 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    Implement some optimization.

2005-07-02 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Index/LCSegmentTermEnum.m:
    Fix problem for long document.

2005-07-01 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Source/Index/LCCompoundFileReader.m:
    Fix false warning.
    * Source/Search/TestQueryTermVector.m:
    Fix warning.
    * All test units should work now.

2005-06-23 Yen-Ju Chen <yjchenx at gmail _dot_ com>
    * Source/Search/LCBooleanQuery.m
    * Source/Search/LCQuery.m
    * Source/Store/LCStopAnalyzer.m:
    Update to lastest Apache Lucene.

2005-06-18 Yen-Ju Chen <yjchenx at gmail _dot_ com>

    * Headers/Store/LCFSIndexInput.h
    * Headers/Store/LCFSIndexOutput.h
    * Source/Store/LCFSIndexInput.m
    * Source/Store/LCFSIndexOutput.m:
    Prevent close NSFileHandle twice.
    * Source/Document/LCDateTools.m:
    Remove unit test for millisecond.
    * Source/Index/TestTermInfos.m:
    Use UKTrue() instead of UKObjectsEqual().
    * Source/Index/GNUmakefile
    Disable failed tests for now.

2005-06-17  Quentin Mathe <qmathe@club-internet.fr>

    * Headers/Store/LCMMapDirectory.h:
    * Source/Store/LCMMapDirectory.m:
    Added MMapDirectory.java port (compile but not included in build process
    currently).

2005-06-14  Quentin Mathe <qmathe@club-internet.fr>

    * GNUmakefile.postamble: Added.
    * GNUmakefile.preamble:
    Fixed in order to allow compilation with 'make test=yes' from parent
    directories when UnitKit isn't already installed, and to avoid symbolic
    links to UnitKit source directory replicated at each subproject level.

2005-06-07 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCSegmentMerger.m: 
	Initialize maxDoc correctly (patched by Quentin).
	* Source/Headers/LCHit.m: 
	* Source/Search/LCHit.m: 
	Update to Apache Lucene SVN.

2005-06-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCTermInfosWriter.m: fix bug.

2005-06-04 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCIndexReader.m:
	* Source/Store/LCSegmentInfos.m:
	Update to Lucene SVN (180066).
	* Headers/Util/Util.h:
	Add NSData+Additions.h
	* Source/Search/LCDefaultSimilarity.m:
	Add math.h to fix a weird bug on Linux (wrong result from log()).

2005-06-02 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCIndexWriter.m:
	* Source/Store/LCFSDirectory.m:
	Update to Lucene SVN (179620).

2005-06-01 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCSegmentInfos.m:
	Fix bug on Linux. Not sure why it causes problem.
	* Source/Index/LCTerm.m:
	Deal situation of nil LCTerm.
	* GNUmakefile:
	Fix typo for test units.

2005-05-28 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* GNUmakefile:
	remove dependency of UnitKit while make LuceneKit as library.
	* Headers/Analysis/LCTokenizer.h:
	include LCReader protocol correctly.
	* Source/Util/NSData+Additions.m:
	add new line in the end of file.
	* Source/Index/LCTermVectorOffsetInfo.m:
	use id instead of NSObject for -isEqual:.
	* GNUmakefile.header:
	install NSData+Additions.h

2005-05-22 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Headers/Index/LCIndexWriter.h
	* Source/Index/LCIndexWriter.m
	* Source/Index/TestIndexWriter.m:
	Change -documentCount to -numberOfDocuments

2005-05-21 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Headers/Util/NSData+Additions.h:
	* Source/Util/NSData+Additions.m:
	* Source/Document/TestBinaryDocument.m:
	Use zlib for compression.
	* Make <LuceneKit/LuceneKit.h> work.
	* Fix a weird error of building framework with Xcode.
	* Current test result: 
	Result: 40 classes, 102 methods, 352130 tests, 0 failed

2005-05-20 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Move private methods into implementation.
	* replace "Enum" with "Enumerator".
	* replace "TermDocs" with "TermDocuments".

2005-05-19 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Search/TestSort.m: ported.
	* Current test result: 
	Result: 39 classes, 101 methods, 352123 tests, 0 failed

2005-05-17 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Search/TestQueryTermVector.m: ported.

2005-05-17 Quentin Mathe <qmathe@club-internet.fr>

	* Headers/Search/LCHits.h (-initWithSearcher:query:filter:sort:): Renamed 
	'sort' parameter from 's' to 'o' because the first parameter was already named
	's' and this issue prevented LuceneKit to compile.

2005-05-16 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Remove LuceneKit/ after clean.
	* Source/Search/TestCheckHits.h:
	* Source/Search/TestCheckHits.m:
	* Source/Search/TestBoolean2.m: ported.
	* Install headers of Search
	* Current test result: 
	Result: 37 classes, 94 methods, 352065 tests, 0 failed

2005-05-15 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Rewrite GNUmakefile and some headers to make correct installation.
	* Adapt new directory structure.
	* Source/Search/TestNot.m:
	* Source/Search/TestBooleanScorer.m: 
	* Source/Search/TestBooleanOr.m: ported.
	* Current test result: 
	Result: 36 classes, 84 methods, 352033 tests, 0 failed

2005-05-14 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Search/TestTermVectors.m: 
	* Source/Search/TestEnglish.h:
	* Source/Search/TestEnglish.m: ported.
	* Current test result: 
	  Result: 33 classes, 77 methods, 352023 tests, 0 failed

2005-05-13 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Search/TestBooleanQuery.m: ported.
	* Source/Search/TestDocBoost.m: ported.

2005-05-11 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Search/TestSetNorm.m: ported.

2005-05-09 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Test units work again.
	* Current test result: 
	Result: 28 classes, 68 methods, 351511 tests, 0 failed
	* Re-ident source code.
	* Source/Search/TestSimilarity.m: Test unit for LCSimilarity.

2005-05-07 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Fix memory leak (in progress).

2005-05-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Fix warning for GCC 4.
	* Test is broken in GCC 4 due to memory leak.

2005-05-04 Quentin Mathe <qmathe@club-internet.fr>

	* Source/Analysis/LCSimpleAnalyser.m:
	* Source/Index/LCDocumentWriter.m:
	* Source/Index/LCSegmentReader.m:
	* Source/Index/TestSegmentMerger.m:
	* Source/Index/TestTermVectorsWriter.m:
	Fixed case mismatches which prevented compilation on case sensitive system 
	(patch provided by Rob Burns).

2005-04-29 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Header/Search/LCHit.h:
	* Source/Search/LCHit.m: 
	* Header/Search/LCHitIterator.h:
	* Source/Search/LCHitIterator.m: ported.

2005-04-27 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Header/Search/LCBooleanScorers.h: removed.
	* Header/Search/LCTermQuery.h:
	* Source/Search/LCTermQuery.m: 
	* Header/Search/LCTermScorer.h:
	* Source/Search/LCTermScorer.m: 
	* Header/Search/LCNonMatchingScorer.h:
	* Source/Search/LCNonMatchingScorer.m: 
	* Header/Search/LCBooleanScorer.h:
	* Source/Search/LCBooleanScorer.m: 
	* Header/Search/LCDisjunctionSumScorer.h:
	* Source/Search/LCDisjunctionSumScorer.m: ported.
	NOTE: LCBooleanScorer is ported from BooleanScorer2 in lucene
	since it is the scorer for lucene 1.9/2.0.
	Original BooleanScorer in lucene is for 1.4.

2005-04-26 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Catch up lucene svn version.
	* Header/Search/LCBooleanQuery.h:
	* Source/Search/LCBooleanQuery.m: ported.

2005-04-25 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Header/Search/LCConjunctionScorer.h:
	* Source/Search/LCConjunctionScorer.m:
	* Header/Search/LCReqOptSumScorer.h:
	* Source/Search/LCReqOptSumScorer.m:
	* Header/Search/LCReqExclScorer.h:
	* Source/Search/LCReqExclScorer.m: ported.

2005-04-24 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Initial Search Implementation.
	* Make it compile again.
	* Header/Search/LCQueryFilter.h:
	* Source/Search/LCQueryFilter.m:
	* Header/Search/LCQueryTermVector.h:
	* Source/Search/LCQueryTermVector.m:
	* Header/Search/LCBooleanClause.h:
	* Source/Search/LCBooleanClause.m: ported
	* TODO: add classes for help.

2005-04-16 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Change method names to be more GNUstep-style.
	* Try to reduce the number of inclusion in header.
	* Source/Index/TestSegmentTermEnum.m:
	Test unit for LCSegmentTermEnum
	* chage "doc" in header to "document"

2005-04-15 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Util/LCBitVector.m:
	Clean up.
	* Source/Util/LCPriorityQueue.m:
	Move private methods into source code.
	Add LCComparable protocol.
	Remove -lessThan:: in favor of -compare: for GNUstep-style.
	* Headers/Index/LCCompoundFileWriter.h:
	* Source/Index/LCCompoundFileWriter.m:
	* Headers/Index/LCDocumentWriter.h:
	* Source/Index/LCDocumentWriter.m:
	* Headers/Index/LCFieldInfos.h:
	* Source/Index/LCFieldInfos.m:
	* Headers/Index/LCIndexReader.h:
	* Source/Index/LCIndexReader.m:
	* Headers/Index/LCIndexWriter.h:
	* Source/Index/LCIndexWriter.m:
	* Headers/Index/LCMultiReader.h:
	* Source/Index/LCMultiReader.m:
	* Headers/Index/LCMultipleTermPositions.h:
	* Source/Index/LCMultipleTermPositions.m:
	* Headers/Index/LCSegmentMerger.h:
	* Source/Index/LCSegmentMerger.m:
	* Headers/Index/LCSegmentReader.h:
	* Source/Index/LCSegmentReader.m:
	* Headers/Index/LCTermInfosReader.h:
	* Source/Index/LCTermInfosReader.m:
	* Headers/Index/LCTermInfosWriter.h:
	* Source/Index/LCTermInfosWriter.m:
	* Headers/Index/LCTermVectorsReader.h:
	* Source/Index/LCTermVectorsReader.m:
	* Headers/Index/LCTermVectorsWriter.h:
	* Source/Index/LCTermVectorsWriter.m:
	Move private methods into source code.

2005-04-14 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/TestIndexReader.m:
	Complete test unit for LCIndexReader.
	Some tests are disabled for now due to memory leak.
	* Source/Index/TestSegmentTermDocs.m:
	Complete test unit for LCSegmentTermDocs.
	* Source/Index/LCSegmentTermEnum.m:
	* Source/Index/TestSegmentTermEnum.m:
	Separate test unit from class and complete the tests.
	* Current test result: 
	Result: 28 classes, 68 methods, 351385 tests, 0 failed

2005-04-12 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/TestIndexReaderlm:
	Test unit for LCIndexReader

2005-04-10 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/TestFieldsReader.m:
	Test unit for LCFieldsReader
	* Source/Index/Test*.h: Removed.

2005-04-09 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/TestIndexWriter.m:
	Fix test units temperarily.
	"ukrun -q LuceneKit.bundle" now works.
	* Source/Index/TestCompoundFile.m:
	* Source/Index/TestCompoundFile.h:
	Test unit for LCCompoundFileReader and LCCompoundFileWriter.
	* Source/Index/TestFilterIndexReaderh:
	* Source/Index/TestFilterIndexReader.m:
	Test unit for LCFilterIndexReader.
	This test also has memory leaking problem (see FIXME).
	* Source/Index/TestSegmentTermDocs.h:
	* Source/Index/TestSegmentTermDocs.m:
	Test unit for LCSegmentTermDocs.
	* Fix problems of "ukrun -q".
	* Source/Index/TestMultiReader.h:
	* Source/Index/TestMultiReader.m:
	Test unit for LCMultiReader.

2005-04-08 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	Note: test units broken (probably memory leaks).
	"ukrun -q LuceneKit.bundle" won't finish.
	"ukrun LuceneKit.bundle" works fine.
	* Source/Index/TestIndexWriter.h:
	* Source/Index/TestIndexWriter.m: 
	Test unit for LCIndexWriter.

2005-04-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/TestSegmentMerger.h:
	* Source/Index/TestSegmentMerger.m: 
	Test unit for LCSegmentMerger
	* Current test result: 
	Result: 21 classes, 48 methods, 335447 tests, 0 failed

2005-04-05 Quentin Mathe <qmathe@club-internet.fr>

	Note: tests suite fixed now (but with GNUstep, currently interrupted by 
	"___moddi3 undefined symbol" error).
	* Headers/LuceneKit.h: Added (LuceneKit umbrella header).
	* Source/GNUmakefile: Put -DHAVE_UKTEST in ADDITIONAL_OBJCFLAGS and not 
	ADDITIONAL_LDFLAGS (moved in GNUmakefile.preamble now).
	* GNUmakefile.preamble: Added.
	* GNUmakefile:
	* Source/GNUmakefile:
	* Source/Analysis/GNUmakefile:
	* Source/Document/GNUmakefile:
	* Source/Index/GNUmakefile:
	* Source/Java/GNUmakefile:
	* Source/Search/GNUmakefile:
	* Source/Store/GNUmakefile:
	* Source/Util/GNUmakefile:
	Moved shared variables like ADDITIONAL_OBJCFLAGS in GNUmakefile.preamble at 
	LuceneKit top level. Disabled #import related warnings.
	* Headers/Util/NSString+Additions.h: Replaced #import directive by #include.

2005-04-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Source/Index/LCIndexInput.m: Deal with string length properly.
	* Source/Index/TestTermVectorsReader.m: New test units.

2005-04-05 Quentin Mathe <qmathe@club-internet.fr>

	Note: LuceneKit compilation fixed now.
	* Source/Index/LCTermInfosWriter.m: Fixed #include directive in order to 
	reference "NSString+Additions.h" and not "NSString_Additions.h".
	(-init): Replaced incorrect C boolean 'false' by Objective-C version 'NO'.
	* Source/Index/LCTermVectorWriter.m: Fixed #include directive in order to 
	reference "NSString+Additions.h" and not "NSString_Additions.h".
	* Source/Store/LCRAMDirectory.m (-touchFile):: Replaced [NSData data] by
	[NSDate date] to accept -timeIntervalSince1970 method call.
	* Source/Util/GNUmakefile: Replaced reference to "NSString_Additions.m"
	by the correct one "NSString+Additions.m".

2005-04-05 Quentin Mathe <qmathe@club-internet.fr>

	Warning! compilation broken.
	* Headers/Analysis:
	* Headers/Document:
	* Headers/Index:
	* Headers/Store:
	* Headers/Util:
	* Source/Analysis:
	* Source/Document:
	* Source/Java:
	* Source/Search:
	* Source/Store:
	* Source/Util:
	Modified #include directives to match new Headers structure like 
	"LuceneKit/Util/LCBitVector.h" to "Util/LCBitVector.h" or
	"GNUstep.h" to "GNUstep/GNUstep.h".

2005-04-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>
	
	Warning! compilation broken.
	* Add new test units.
	* Various bug fixed.

2005-03-31 Quentin Mathe <qmathe@club-internet.fr>
	
	* INSTALL:
	* README: 
	Updated to be compliant with Etoile. 
	* TODO: Added.

2005-03-31 Quentin Mathe <qmathe@club-internet.fr>

	LuceneKit initial import.
	Warning! compilation broken.	
	* Source/GNUstep.h: Moved in Headers/GNUstep.
	* Headers/LuceneKit/Util/NSString_Additions.h: Renamed "NSString+Additions.h".
	* Source/Util/NSString_Additions.m: Renamed "NSString+Additions.m".
	* Source/Store/MMapDirectory.java: Removed.
	* Source/Store/Lock.java: Removed.
	* Source/run_test: Removed.
	* Source/Analysis/Standard: Removed (various Java stuff).
	* Headers/LuceneKit/Analysis:
	* Headers/LuceneKit/Document:
	* Headers/LuceneKit/Index:	  
	* Headers/LuceneKit/Java:
	* Headers/LuceneKit/Search:
	* Headers/LuceneKit/Store:
	* Headers/LuceneKit/Util:
	Moved in Headers on level down and ripped out Headers/LuceneKit.
	
2005-03-19 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Move test into classes.
	* Rewrite classes into category:
		NSString_Additions (previous StringHealper),
		LCNumberTools,
		LCDateTools.
	* Support 'test=yes' to build test bundle. 
	* Remove Test/
	* Current test result: 
	  Result: 11 classes, 22 methods, 377383 tests, 0 failed

2005-03-13 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Update Analysis/ to 1.9-RC1
	* Implement Util/LCPriorityQueue

2005-03-12 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Update Document/LCField and Document/LCDocument to 1.9-RC1
	* Port someo of classes in Index/

2005-03-10 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Add Document/LSNumberTools and its test from 1.9-RC1

2005-03-09 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Add Document/LSDateTools and its test from 1.9-RC1

2005-03-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Change name to "LuceneKit"

2005-03-05 Yen-Ju Chen <yjchenx at gmail _dot_ com>

	* Add Prefix "LC"
	* Reorganize directories to Etoile-style
